## org.Biocorba.Seqcore
Class _PrimarySeqIterator_Tie

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--org.Biocorba.Seqcore._PrimarySeqIteratorImplBase
                        |
                        +--org.Biocorba.Seqcore._PrimarySeqIterator_Tie

public class _PrimarySeqIterator_Tie
extends _PrimarySeqIteratorImplBase

See Also:
  Serialized Form

Field Summary
`_PrimarySeqIterator_Operations` `servant`

Constructor Summary
`_PrimarySeqIterator_Tie(_PrimarySeqIterator_Operations servant)`

Method Summary
`boolean` `has_more()`
`PrimarySeq` `next()`
`org.omg.CORBA.Object` `query_interface(java.lang.String repoid)`
`void` `ref()`
`void` `unref()`

Methods inherited from class org.Biocorba.Seqcore._PrimarySeqIteratorImplBase
`_ids, invoke`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### servant

    public _PrimarySeqIterator_Operations servant

Constructor Detail

### _PrimarySeqIterator_Tie

    public _PrimarySeqIterator_Tie(_PrimarySeqIterator_Operations servant)

Method Detail

### ref

    public void ref()

### unref

    public void unref()

### query_interface

    public org.omg.CORBA.Object query_interface(java.lang.String repoid)

### next

    public PrimarySeq next()
                    throws EndOfStream,
                           UnableToProcess

### has_more

    public boolean has_more()